<?php
/*
 * Dokuwiki's Main Configuration File - Local Settings
 * Auto-generated by config plugin
 * Run for user: admin
 * Date: Wed, 23 Dec 2020 13:18:12 +0100
 */

$conf['title']         = 'Wiki ubuntu-fr';
$conf['tagline']       = 'La Documentation francophone';
$conf['lang']          = 'fr';
$conf['start']         = 'accueil';
$conf['template']      = 'ubuntu';
$conf['compress']      = 0;
//$conf['proxy']['user'] = 'admin';
//$conf['proxy']['pass'] = '<b>YWRtaW4=';
$conf['savedir']       = '/app/www/public/data';

$conf['recent']        = 40;
$conf['typography']    = 0;
$conf['dformat']       = 'Le %d/%m/%Y, %H:%M';
$conf['toptoclevel']   = 2;
$conf['indexdelay']    = 0;

$conf['is_dev']        = 0;

// gestion des connexions utilisateurs.
$conf['useacl']      = 1;
$conf['authtype']    = 'authpdo';
$conf['passcrypt']   = 'sha1';
$conf['defaultgroup']= 'Members';
$conf['superuser']   = '@AdminWiki,@Administrateurs';
$conf['manager']     = '@ExpertWiki';

// Configuration principale
$conf['disableactions']='register,profile,resendpwd,check,debug';
$conf['allowdebug']  = getenv('ALLOW_DEBUG');
$conf['updatecheck'] = 0;
$conf['userewrite']  = 1;
$conf['useslash']    = 1;
$conf['locktime']    = 10*60;
$conf['fetchsize']   = 2*1024*1024;
$conf['spellchecker']= 0;
$conf['subscribers'] = 1;
$conf['rss_update']  = 20*60;
$conf['recent_days'] = 400; // Reduire ce nombre si la consomation mémoire est trop importante
$conf['signature'] = '--- //[[:utilisateurs:@USER@|@USER@]] @DATE@//';
// Suivi des modifications
$conf['notify'] = 'ubuntu_wiki_modifs-fr@lists.ubuntu-eu.org';
$conf['mailprefix'] = 'UFrDoc';
$conf['license'] = 'cc-by-sa';
$conf['mailfrom'] = 'ufr_doc@ubuntu-fr.org';
$conf['htmlmail']    = 0;

// Plugins
$conf['plugin']['tag']['pagelist_flags'] = 'table,header,nodate,nouser';
$conf['plugin']['tag']['namespace']      =':';
$conf['readdircache']                    = 120;     // 2 minutes de cache sur les acces disques
$conf['plugin']['captcha']['mode']       = 'js';
